io.swagger.client.model

## Class ContractCodeList

- java.lang.Object
- - io.swagger.client.model.ContractCodeList

-     public class ContractCodeList
      extends Object

  ContractCodeList

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractCodeList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractCodeList` | `addContractCodesItem(ContractCode contractCodesItem)`
    `ContractCodeList` | `contractCodes(List<ContractCode> contractCodes)`
    `boolean` | `equals(Object o)`
    `List<ContractCode>` | `getContractCodes()` Get contractCodes
    `String` | `getNextLink()` Get nextLink
    `int` | `hashCode()`
    `ContractCodeList` | `nextLink(String nextLink)`
    `void` | `setContractCodes(List<ContractCode> contractCodes)`
    `void` | `setNextLink(String nextLink)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractCodeList

          public ContractCodeList()

  - ### Method Detail

    - #### nextLink

          public ContractCodeList nextLink(String nextLink)

    - #### getNextLink

          public String getNextLink()

      Get nextLink
      Returns:
        nextLink

    - #### setNextLink

          public void setNextLink(String nextLink)

    - #### contractCodes

          public ContractCodeList contractCodes(List<ContractCode> contractCodes)

    - #### addContractCodesItem

          public ContractCodeList addContractCodesItem(ContractCode contractCodesItem)

    - #### getContractCodes

          public List<ContractCode> getContractCodes()

      Get contractCodes
      Returns:
        contractCodes

    - #### setContractCodes

          public void setContractCodes(List<ContractCode> contractCodes)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.